## dipy 0.13.0

=== Makefile ===
# Simple makefile to quickly access handy build commands for Cython extension
# code generation.  Note that the actual code to produce the extension lives in
# the setup.py file, this Makefile is just meant as a command
# convenience/reminder while doing development.

PYTHON ?= python
PKGDIR=dipy
DOCSRC_DIR=doc
DOCDIR=${PKGDIR}/${DOCSRC_DIR}
TESTDIR=${PKGDIR}/tests

help:
	@echo "Numpy/Cython tasks.  Available tasks:"
	@echo "ext  -> build the Cython extension module."
	@echo "cython-html -> create annotated HTML from the .pyx sources"
	@echo "test -> run a simple test demo."
	@echo "all  -> Call ext, html and finally test."

all: ext cython-html test

ext: recspeed.so propspeed.so vox2track.so \
    distances.so streamlinespeed.so denspeed.so \
    vec_val_sum.so quick_squash.so vector_fields.so \
    crosscorr.so sumsqdiff.so expectmax.so bundlemin.so \
    cythonutils.so featurespeed.so metricspeed.so \
    clusteringspeed.so clustering_algorithms.so \
    mrf.so

test: ext
	nosetests .

cython-html:  ${PKGDIR}/reconst/recspeed.html ${PKGDIR}/tracking/propspeed.html ${PKGDIR}/tracking/vox2track.html ${PKGDIR}/tracking/distances.html ${PKGDIR}/tracking/streamlinespeed.html ${PKGDIR}/segment/cythonutils.html ${PKGDIR}/segment/featurespeed.html ${PKGDIR}/segment/metricspeed.html ${PKGDIR}/segment/clusteringspeed.html ${PKGDIR}/segment/clustering_algorithms.html

recspeed.so: ${PKGDIR}/reconst/recspeed.pyx
cythonutils.so: ${PKGDIR}/segment/cythonutils.pyx
featurespeed.so: ${PKGDIR}/segment/featurespeed.pyx
metricspeed.so: ${PKGDIR}/segment/metricspeed.pyx
mrf.so: ${PKGDIR}/segment/mrf.pyx
clusteringspeed.so: ${PKGDIR}/segment/clusteringspeed.pyx
clustering_algorithms.so: ${PKGDIR}/segment/clustering_algorithms.pyx
propspeed.so: ${PKGDIR}/tracking/propspeed.pyx
vox2track.so: ${PKGDIR}/tracking/vox2track.pyx
distances.so: ${PKGDIR}/tracking/distances.pyx
streamlinespeed.so: ${PKGDIR}/tracking/streamlinespeed.pyx
denspeed.so: ${PKGDIR}/denoise/denspeed.pyx
vec_val_sum.so: ${PKGDIR}/reconst/vec_val_sum.pyx
quick_squash.so: ${PKGDIR}/reconst/quick_squash.pyx
vector_fields.so: ${PKGDIR}/align/vector_fields.pyx
crosscorr.so: ${PKGDIR}/align/crosscorr.pyx
sumsqdiff.so: ${PKGDIR}/align/sumsqdiff.pyx
expectmax.so: ${PKGDIR}/align/expectmax.pyx
bundlemin.so: ${PKGDIR}/align/bundlemin.pyx

	$(PYTHON) setup.py build_ext --inplace

# Phony targets for cleanup and similar uses

.PHONY: clean

clean:
	- find ${PKGDIR} -name "*.so" -print0 | xargs -0 rm
	- find ${PKGDIR} -name "*.pyd" -print0 | xargs -0 rm
	- find ${PKGDIR} -name "*.c" -print0 | xargs -0 rm
	- find ${PKGDIR} -name "*.html" -print0 | xargs -0 rm
	rm -rf build
	rm -rf docs/_build
	rm -rf docs/dist
	rm -rf dipy/dipy.egg-info

distclean: clean
	rm -rf dist

# Suffix rules
%.c : %.pyx
	cython $<

%.html : %.pyx
	cython -a $<

# Check for files not installed
check-files:
	$(PYTHON) -c 'from nisext.testers import check_files; check_files("dipy")'

# Print out info for possible install methods
check-version-info:
	$(PYTHON) -c 'from nisext.testers import info_from_here; info_from_here("dipy")'

# Run tests from installed code
installed-tests:
	$(PYTHON) -c 'from nisext.testers import tests_installed; tests_installed("dipy")'

# Run tests from installed code
sdist-tests:
	$(PYTHON) -c 'from nisext.testers import sdist_tests; sdist_tests("dipy")'

bdist-egg-tests:
	$(PYTHON) -c 'from nisext.testers import bdist_egg_tests; bdist_egg_tests("dipy")'

source-release: clean
	$(PYTHON) -m compileall .
	$(PYTHON) setup.py sdist --formats=gztar,zip

binary-release: clean
	$(PYTHON) setup_egg.py bdist_egg

build-stamp-source:
	$(PYTHON) -c 'import cythexts; cythexts.build_stamp_source()'

=== requirements.txt ===
# Check against .travis.yml file and dipy/info.py
cython>=0.25.1
numpy>=1.7.1
scipy>=0.9
nibabel>=2.1.0
h5py>=2.4.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  api       to make the auto-generated API files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean: api-clean examples-clean
	-rm -rf _build/*
	-rm *-stamp

api-clean:
	rm -rf reference/*.rst

api:
	@mkdir -p reference
	$(PYTHON) tools/build_modref_templates.py dipy reference
	@mkdir -p reference_cmd
	$(PYTHON) tools/docgen_cmd.py dipy reference_cmd
	@echo "Build API docs...done."

examples-clean:
	-cd examples_built && rm -rf *.py *.rst *.png fig

examples-clean-tgz: examples-clean examples-tgz
	../tools/pack_examples.py ../dist

examples-tgz: rstexamples
	../tools/pack_examples.py ../dist

gitwash-update:
	python ../tools/gitwash_dumper.py devel dipy --repo-name=dipy --github-user=nipy \
            --project-url=http://nipy.org/dipy \
            --project-ml-url=https://mail.python.org/mailman/listinfo/neuroimaging

html: api rstexamples html-after-examples
	# build full docs including examples

html-after-examples:
	# Standard html build after examples have been prepared
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/dipy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/dipy.qhc"

latex: rstexamples latex-after-examples

latex-after-examples:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

rstexamples: rstexamples-stamp
rstexamples-stamp:
	cd examples_built && ../../tools/make_examples.py
	touch $@

pdf: pdf-stamp
pdf-stamp: latex
	cd _build/latex && make all-pdf
	touch $@

upload: html
	./upload-gh-pages.sh _build/html/ dipy nipy

xvfb:
	export TEST_WITH_XVFB=true && make html

memory_profile:
	export TEST_WITH_MEMPROF=true && make html

=== debian/changelog ===
dipy (0.13.0-2) unstable; urgency=medium

  * debian/patches/1300.diff to mitigate failing tests on 32bit

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 25 Nov 2017 00:41:46 -0500

dipy (0.13.0-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    - python-h5py was added to (Build-)Depends and
      python-tables was removed from Depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 22 Nov 2017 21:23:41 -0500

=== debian/control ===
Source: dipy
Section: python
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <mih@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev,
               python-numpy (>= 1:1.7.1~),
               python-h5py,
               python-scipy,
               cython (>= 0.13),
               python-matplotlib,
               python-sphinx (>= 1.0),
               python-nose,
               python-nibabel,
               libgomp1,
Standards-Version: 3.9.7
Homepage: http://dipy.org
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/dipy.git
Vcs-Git: git://anonscm.debian.org/pkg-exppsy/dipy.git
X-Python-Version: >= 2.7

Package: python-dipy
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
		 python-numpy (>= 1:1.7.1~), python-scipy,
		 python-h5py,
		 python-dipy-lib (>= ${source:Version})
Recommends: python-matplotlib,
			python-vtk,
			python-nose,
			python-nibabel,
Suggests: ipython
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python library for the analysis of diffusion MRI datasets
 DIPY is a software project for computational neuroanatomy. It focuses
 on diffusion magnetic resonance imaging (dMRI) analysis and
 tractography but also contains implementations of other computational
 imaging methods such as denoising and registration that are
 applicable to the greater medical imaging and image processing
 communities. Additionally, DIPY is an international project which
 brings together scientists across labs and countries to share their
 state-of-the-art code and expertise in the same codebase,
 accelerating scientific research in medical imaging.
 .
 Here are some of the highlights:
  - Reconstruction algorithms: CSD, DSI, GQI, DTI, DKI, QBI, SHORE
    and MAPMRI
  - Fiber tracking algorithms: deterministic and probabilistic
  - Native linear and nonlinear registration of images
  - Fast operations on streamlines (selection, resampling, registration)
  - Tractography segmentation and clustering
  - Many image operations, e.g., reslicing or denoising with NLMEANS
  - Estimation of distances/correspondences between streamlines and
    connectivity matrices
  - Interactive visualization of streamlines in the space of images

Package: python-dipy-lib
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python library for the analysis of diffusion MRI datasets -- extensions
 DIPY is a library for the analysis of diffusion magnetic resonance
 imaging data.
 .
 This package provides architecture-dependent builds of the extensions.


Package: python-dipy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Suggests: python-dipy
Description: Python library for the analysis of diffusion MRI datasets -- documentation
 DIPY is a library for the analysis of diffusion magnetic resonance
 imaging data.
 .
 This package provides the documentation in HTML format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PACKAGE2_NAME = python-dipy
PACKAGE_ROOT_DIR = debian/${PACKAGE2_NAME}
INSTALL_PATH = $(CURDIR)/debian/tmp

ifeq (,$(findstring get-orig-source, $(MAKECMDGOALS)))
export  http_proxy=http://127.0.0.1:9/
endif

# default Python
PYTHON=$(shell pyversions -d)
#PYVERS = $(shell pyversions -vr)
#PYVER = $(shell pyversions -vd)
#PY3VERS = $(shell py3versions -vr)
#PY3VER = $(shell py3versions -vd)

srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
upver = $(shell echo $(debver) | cut -d '-' -f 1,1 )

MIN_CYTHONVER = 0.25.1

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D today=\"$(BUILD_DATE)\"

%:
	dh --buildsystem=python_distutils $@  --with python2

clean_generated:
	find dipy -iname *.c | xargs grep -l -e 'Generated by Cython' | xargs -r rm -f
	rm -f pyx-stamps

override_dh_auto_clean: clean_generated
	dh_auto_clean $@

_cythonize%:
	debian/rules clean_generated # force removal of previous copies
	make build-stamp-source && \
	D=debian/cythonized-files$(*:2=) && \
		git rm -rf $$D; \
		find dipy/ -name *.c | while read f; do \
			grep -q 'Generated by Cython' "$$f" || continue; \
			mkdir -p "$$D/$$(dirname $$f)"; \
			cp "$$f" "$$D/$$(dirname $$f)"; \
			git add -f "$$D/$$f"; \
		done; \
		cp pyx-stamps $$D/; \
		echo "$(upver)" >| $$D/VERSION; \
		git add -f $$D/VERSION $$D/pyx-stamps


_uncythonize%:
	echo "D: HERE"
	echo "$*" | grep -q '^3' && PY=3 || PY= ; \
	CYTHONVER=$$(dpkg -l cython$$PY 2>/dev/null | awk '/^ii/{print $$3;}' || echo 0); \
	dpkg --compare-versions "$$CYTHONVER" lt "$(MIN_CYTHONVER)" && { \
		echo "I: Using pre-Cython-ed files for Python $*"; \
		cd debian/cythonized-files$$PY/ ; \
		find . -name *.c | while read f; do cp $$f ../../$$f; done; \
		cp pyx-stamps ../../; } || :

cythonize: _cythonize2 # _cythonize3

override_dh_auto_test:
	: # Do not test just after build, lets install and then test

override_dh_auto_build: _uncythonize2
	dh_auto_build
	echo "backend : Agg" >| build/matplotlibrc

override_dh_auto_install:
	dh_auto_install
	: # Prune duplicate LICENSE file
	find debian/ -name LICENSE -delete
	: # Only now lets build docs
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	: # Copy pregenerated examples
	cp -rp doc-examples/*/examples_built/* doc/examples_built/
	export PYTHONPATH=$$(/bin/ls -d $(INSTALL_PATH)/usr/lib/$(PYTHON)/*-packages) \
		   MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
	cd doc; $(MAKE) html-after-examples SPHINXOPTS="$(SPHINXOPTS)"
	-rm doc/_build/html/_static/jquery.js
	-rm -r doc/_build/html/_sources
	: # objects inventory is of no use for the package
	-rm doc/_build/html/objects.inv
endif

	: # Run tests later on
	: # cd build to prevent use of local/not-built source tree
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd build; \
	for PYTHON in $(shell pyversions -r); do \
		echo "I: Running Dipy unittests using $$PYTHON"; \
        PATH=$(INSTALL_PATH)/usr/bin:$$PATH \
		PYTHONPATH=$$(/bin/ls -d $(INSTALL_PATH)/usr/lib/$$PYTHON/*-packages) \
		MPLCONFIGDIR=/tmp/ \
			$$PYTHON /usr/bin/nosetests -sv --exclude 'test_(peaksFromModelParallel|fetcher)' dipy; \
	done
endif

## remove .so libraries from main package, and call dh_numpy*
## while removing 2 if not present
_dh_python%:
	if [ -d debian/$(PACKAGE$*_NAME)/usr/lib ]; then \
	   find debian/$(PACKAGE$*_NAME)/usr/lib -name "*.so" -delete; \
	fi
	[ -e /usr/bin/dh_numpy$(*:2=) ] && dh_numpy$(*:2=) -p$(PACKAGE$*_NAME)-lib || :
	dh_python$*

## "Instantiate" both rules so dh sees them
override_dh_python2: _dh_python2

## immediately useable documentation
## and exemplar data (they are small excerpts anyway)
override_dh_compress:
	dh_compress -X.py -X.html -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.par -X.bin -Xobjects.inv

override_dh_clean:
	: # I: Custom cleaning
	rm -rf build doc-stamp
	$(MAKE) -C doc clean
	dh_clean

get-orig-source:
	-quilt pop -a
	uscan --verbose --download-current
#	: # I Testing for uncommited changes
#	@git diff --quiet HEAD
#	: # I Composing main tarball
#	mkdir -p tarballs
#	git archive --format=tar --prefix=$(srcpkg)-$(upver)/ HEAD \
#	| gzip -9 > ../tarballs/$(srcpkg)_$(upver).orig.tar.gz
#	: # I Building examples figures and tarball
#	python setup.py build
#	export PYTHONPATH=$$(/bin/ls -d $(CURDIR)/build/lib.*$(PYVER)); \
#		cd doc; $(MAKE) examples-tgz
#	mv dist/dipy-*-doc-examples.tar.gz ../tarballs/$(srcpkg)_$(upver).orig-doc-examples.tar.gz
	wget -O ../tarballs/$(srcpkg)_$(upver).orig-doc-examples.tar.gz \
		http://nipy.sourceforge.net/dipy/dipy-$(upver)-doc-examples.tar.gz
	: # Symlinking back into build-area for git-buildpackage not supporting multi-tarball atm
	[ -d ../build-area ] && ln -sf ../tarballs/$(srcpkg)_$(upver).orig*.tar.gz ../build-area

inject-doc-examples:
	mkdir -p doc-examples
	tar -C doc-examples --strip-components 1 \
	 -xzvf ../tarballs/$(srcpkg)_$(upver).orig-doc-examples.tar.gz

=== debian/watch ===
version=3

opts="filenamemangle=s/.*\/(.*)/dipy-$1/" \
  http://github.com/nipy/dipy/tags .*archive/(\d[\d\.a-z]+).tar.gz

## dipy 0.14.0

=== requirements.txt ===


=== debian/changelog ===
dipy (0.14.0-1~nd+1) sid; urgency=medium

  * Backported for sid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 15 May 2018 02:42:32 -0400

dipy (0.14.0-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/
    - pushed compat to 9
    - removed absorbed upstream debian/patches/1300.diff
    - build-depend on python-numpydoc

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 14 May 2018 14:59:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: dipy
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <mih@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-all-dev,
+Build-Depends: debhelper (>= 9), python-all-dev,
                python-numpy (>= 1:1.7.1~),
                python-h5py,
                python-scipy,
                cython (>= 0.13),
                python-matplotlib,
                python-sphinx (>= 1.0),
+               python-numpydoc,
                python-nose,
-               python-nibabel,
+               python-nibabel (>= 2.1.0),
                libgomp1,
 Standards-Version: 3.9.7
 Homepage: http://dipy.org
@@ -21,14 +23,14 @@
 
 Package: python-dipy
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
 		 python-numpy (>= 1:1.7.1~), python-scipy,
 		 python-h5py,
 		 python-dipy-lib (>= ${source:Version})
 Recommends: python-matplotlib,
 			python-vtk,
 			python-nose,
-			python-nibabel,
+			python-nibabel (>= 2.1.0),
 Suggests: ipython
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
@@ -57,7 +59,7 @@
 
 Package: python-dipy-lib
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: Python library for the analysis of diffusion MRI datasets -- extensions
@@ -70,7 +72,7 @@
 Package: python-dipy-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
 Suggests: python-dipy
 Description: Python library for the analysis of diffusion MRI datasets -- documentation
  DIPY is a library for the analysis of diffusion magnetic resonance

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 SPHINXOPTS := -D today=\"$(BUILD_DATE)\"
 
 %:
-	dh --buildsystem=python_distutils $@  --with python2
+	dh $@ --buildsystem=python_distutils --with python2
 
 clean_generated:
 	find dipy -iname *.c | xargs grep -l -e 'Generated by Cython' | xargs -r rm -f

## dipy 1.2.0

=== requirements.txt ===
# Check against .travis.yml file and dipy/info.py
cython>=0.29
numpy>=1.12.0
scipy>=1.0
nibabel>=3.0.0
h5py>=2.5.0
packaging>=19.0

=== debian/changelog ===
dipy (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Secure URI in copyright format (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 02 Nov 2020 08:57:11 +0100

dipy (1.2.0-1) unstable; urgency=medium

  [ Yaroslav Halchenko ]
  * debian/
    + provide python3 packaging
    + suggest python-dipy-doc (Closes: #849904)

  [ Andreas Tille ]
  * cme fix dpkg-control
  * Standards-Version: 4.5.0 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Drop Python2 package
    Closes: #936400, #942973, #923657
  * Versioned Build-Depends: python3-nibabel (>= 3.0.0)
  * Make Debian Med team maintainer and move package to med-team on Salsa
  * Remove debian/gbp.conf since repository now follows default layout
    as described in policy
  * Remove unused debian/blends file
  * Remove outdated debian/README.source
  * debhelper-compat 13 (routine-update)
  * Remove debian/cythonized-files
  * (Build-)Depends: pandas

 -- Andreas Tille <tille@debian.org>  Sat, 31 Oct 2020 22:37:04 +0100

=== debian/control ===
Source: dipy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <mih@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libgomp1,
               cython3,
               python3-all-dev,
               python3-numpy,
               python3-h5py,
               python3-scipy,
               python3-matplotlib,
               python3-sphinx,
               python3-numpydoc,
               python3-nose,
               python3-nibabel (>= 3.0.0),
               python3-pytest <!nocheck>,
               python3-pandas <!nocheck>,
               python3-tables <!nocheck>,
               python3-sklearn <!nocheck>,
               xvfb,
               xauth
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/dipy
Vcs-Git: https://salsa.debian.org/med-team/dipy.git
Homepage: https://dipy.org
Rules-Requires-Root: no

Package: python3-dipy
Architecture: all
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-numpy,
         python3-scipy,
         python3-h5py,
         python3-pandas,
         python3-dipy-lib (>= ${source:Version})
Recommends: python3-matplotlib,
            python3-vtk7,
            python3-nose,
            python3-nibabel,
            python3-tables,
            python3-sklearn
Suggests: python-dipy-doc
Provides: ${python3:Provides}
Description: Python library for the analysis of diffusion MRI datasets
 DIPY is a software project for computational neuroanatomy. It focuses
 on diffusion magnetic resonance imaging (dMRI) analysis and
 tractography but also contains implementations of other computational
 imaging methods such as denoising and registration that are
 applicable to the greater medical imaging and image processing
 communities. Additionally, DIPY is an international project which
 brings together scientists across labs and countries to share their
 state-of-the-art code and expertise in the same codebase,
 accelerating scientific research in medical imaging.
 .
 Here are some of the highlights:
  - Reconstruction algorithms: CSD, DSI, GQI, DTI, DKI, QBI, SHORE
    and MAPMRI
  - Fiber tracking algorithms: deterministic and probabilistic
  - Native linear and nonlinear registration of images
  - Fast operations on streamlines (selection, resampling, registration)
  - Tractography segmentation and clustering
  - Many image operations, e.g., reslicing or denoising with NLMEANS
  - Estimation of distances/correspondences between streamlines and
    connectivity matrices
  - Interactive visualization of streamlines in the space of images
 .
 This package contains the Python 3 version.
XB-Python3-Version: ${python3:Versions}

Package: python3-dipy-lib
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Provides: ${python3:Provides}
Description: Python library for the analysis of diffusion MRI datasets -- Python3 extensions
 DIPY is a library for the analysis of diffusion magnetic resonance
 imaging data.
 .
 This package provides architecture-dependent builds of the extensions
 for Python3.

Package: python-dipy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Suggests: python3-dipy
Description: Python library for the analysis of diffusion MRI datasets -- documentation
 DIPY is a library for the analysis of diffusion magnetic resonance
 imaging data.
 .
 This package provides the documentation in HTML format.

## dipy 1.3.0

=== requirements.txt ===
--- 
+++ 
@@ -5,3 +5,4 @@
 nibabel>=3.0.0
 h5py>=2.5.0
 packaging>=19.0
+tqdm>=4.30.0

=== debian/changelog ===
dipy (1.3.0-3) unstable; urgency=medium

  * Team upload.
  * d/rules: prevent build time test suite from accessing network resources.
    Closes: #987517
  * d/rules: install .so files in python3-dipy-lib; this makes several dipy
    modules, formerly missing, now usable.
    Closes: #987453

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sun, 25 Apr 2021 11:15:12 +0200

dipy (1.3.0-2) unstable; urgency=medium

  * Team upload.
  
  [ Helmut Grohne ]
  * Tag more test dependencies <!nocheck>. (Closes: #980336)

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jan 2021 11:52:53 +0100

dipy (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * watch file standard 4 (routine-update)
  * (Build-)Depends: python3-tqdm

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jan 2021 15:34:26 +0100

=== debian/control ===
--- 
+++ 
@@ -13,18 +13,19 @@
                python3-numpy,
                python3-h5py,
                python3-scipy,
-               python3-matplotlib,
+               python3-matplotlib <!nocheck>,
                python3-sphinx,
                python3-numpydoc,
-               python3-nose,
+               python3-nose <!nocheck>,
                python3-nibabel (>= 3.0.0),
                python3-pytest <!nocheck>,
                python3-pandas <!nocheck>,
                python3-tables <!nocheck>,
                python3-sklearn <!nocheck>,
-               xvfb,
-               xauth
-Standards-Version: 4.5.0
+               python3-tqdm,
+               xvfb <!nocheck>,
+               xauth <!nocheck>
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/dipy
 Vcs-Git: https://salsa.debian.org/med-team/dipy.git
 Homepage: https://dipy.org
@@ -39,7 +40,8 @@
          python3-scipy,
          python3-h5py,
          python3-pandas,
-         python3-dipy-lib (>= ${source:Version})
+         python3-dipy-lib (>= ${source:Version}),
+         python3-tqdm
 Recommends: python3-matplotlib,
             python3-vtk7,
             python3-nose,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=dipy

PACKAGE3_NAME = python3-$(PYBUILD_NAME)

PACKAGE3_ROOT_DIR = debian/${PACKAGE3_NAME}
INSTALL_PATH = $(CURDIR)/debian/tmp

ifeq (,$(findstring get-orig-source, $(MAKECMDGOALS)))
export  http_proxy=http://127.0.0.1:9/
endif

# default Python
PY3VERS = $(shell py3versions -vr)
PY3VER = $(shell py3versions -vd)

include /usr/share/dpkg/default.mk

MIN_CYTHONVER = 0.25.1

BUILD_DATE := "$(date --utc --date="@${SOURCE_DATE_EPOCH:-$(date +%s)}" +%B %d, %Y)"
SPHINXOPTS := -D today=\"$(BUILD_DATE)\"

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	dh_auto_clean || true
	rm -rf .pybuild __pycache__

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	: # Do not test just after build, lets install and then test
endif

override_dh_auto_build:
	dh_auto_build
	echo "backend : Agg" >| build/matplotlibrc

override_dh_auto_install:
	dh_auto_install
	: # Prune duplicate LICENSE file
	find debian/ -name LICENSE -delete
	: # Only now lets build docs
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	export PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
		   MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
	cd doc; $(MAKE) html-after-examples SPHINXOPTS="$(SPHINXOPTS)"
	-rm doc/_build/html/_static/jquery.js
	-rm -r doc/_build/html/_sources
	: # objects inventory is of no use for the package
	-rm doc/_build/html/objects.inv
endif
	# Run tests later on
	# cd build to prevent use of local/not-built source tree
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -x ; \
	export http_proxy=http://127.0.0.1:9/ ; \
	export https_proxy=https://127.0.0.1:9/ ; \
	for PYTHON in $(PY3VERS); do \
	    export PYTHONPATH=$$(pybuild --print build_dir --interpreter python$$PYTHON); \
	    echo "I: Running Dipy unittests using $$PYTHON"; \
	    cd build; \
	    PATH=$(INSTALL_PATH)/usr/bin:$$PATH \
	        HOME=/tmp \
		MPLCONFIGDIR=/tmp/ xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
			python$$PYTHON /usr/bin/nosetests3 -sv --exclude 'test_(peaksFromModelParallel|fetcher)' dipy; \
	    cd .. ; \
	done
endif

## move .so libraries into -lib package, and call dh_numpy*
## while removing 2 if not present
_dh_python%:
	set -e \
	; test -d debian/$(PACKAGE$*_NAME)/usr/lib || exit 0 \
	; for lib in $$(find debian/$(PACKAGE$*_NAME)/usr/lib -name "*.so") \
	; do	sdir=$$(dirname $$lib) \
	;	tdir=debian/$(PACKAGE$*_NAME)-lib/$${sdir#*$(PACKAGE$*_NAME)/} \
	;	mkdir -p "$${tdir}" \
	;	mv -v "$${lib}" "$${tdir}" \
	; done
	[ -e /usr/bin/dh_numpy$(*:2=) ] && dh_numpy$(*:2=) -p$(PACKAGE$*_NAME)-lib || :
	dh_python$*

## "Instantiate" both rules so dh sees them
override_dh_python3: _dh_python3

## immediately useable documentation
## and exemplar data (they are small excerpts anyway)
override_dh_compress:
	dh_compress -X.py -X.html -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.par -X.bin -Xobjects.inv

override_dh_clean:
	: # I: Custom cleaning
	rm -rf build doc-stamp
	$(MAKE) -C doc clean
	dh_clean

inject-doc-examples:
	mkdir -p doc-examples
	tar -C doc-examples --strip-components 1 \
	 -xzvf ../tarballs/$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig-doc-examples.tar.gz

=== debian/watch ===
version=4

opts="filenamemangle=s/.*\/(.*)/dipy-$1/" \
  http://github.com/nipy/dipy/releases .*archive/(\d[\d\.a-z]+).tar.gz

## dipy 1.4.1

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
     mrf.so
 
 test: ext
-	nosetests .
+	pytest -s --verbose --doctest-modules .
 
 cython-html:  ${PKGDIR}/reconst/recspeed.html ${PKGDIR}/tracking/propspeed.html ${PKGDIR}/tracking/vox2track.html ${PKGDIR}/tracking/distances.html ${PKGDIR}/tracking/streamlinespeed.html ${PKGDIR}/segment/cythonutils.html ${PKGDIR}/segment/featurespeed.html ${PKGDIR}/segment/metricspeed.html ${PKGDIR}/segment/clusteringspeed.html ${PKGDIR}/segment/clustering_algorithms.html

=== debian/changelog ===
dipy (1.4.1-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 19:22:14 +0000

dipy (1.4.1-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Demote documentation dependencies to B-D-I. (Closes: #983840)

  [ Étienne Mollier ]
  * New upstream version 1.4.1.
  * d/watch: fix broken link to Github and refer through https instead of http.
  * Standards-Version: 4.6.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Apply multi-arch hints.
    + python3-dipy-lib: Add Multi-Arch: same.
    + python-dipy-doc: Add Multi-Arch: foreign.
  * d/control, crossbuild.patch: demote python3-h5py, -nibabel and -tqdm
    build-dependencies as <!nocheck>, and prevent setup.py to forcefully
    ask for the corresponding modules; this enables cross compilation.
    (Also demote python3-scipy to reduce the load on nocheck build profiles.)
  * d/control, d/rules: make python-dipy-doc depend on libjs-mathjax, and avoid
    one to refer to mathjax online while reading the documentation, which would
    otherwise be a privacy breach.
  * d/control: add myself to uploaders.
  * d/rules: make all example scripts not executable, for consistency.
  * d/rules: enable hardening.
  * d/copyright: update copyright years.
  * add spelling-error-in-binary.patch.

 -- Étienne Mollier <emollier@debian.org>  Sat, 18 Sep 2021 12:58:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dipy
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
-           Michael Hanke <mih@debian.org>
+           Michael Hanke <mih@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
@@ -11,21 +12,21 @@
                cython3,
                python3-all-dev,
                python3-numpy,
-               python3-h5py,
-               python3-scipy,
+               python3-h5py <!nocheck>,
+               python3-scipy <!nocheck>,
                python3-matplotlib <!nocheck>,
-               python3-sphinx,
-               python3-numpydoc,
                python3-nose <!nocheck>,
-               python3-nibabel (>= 3.0.0),
+               python3-nibabel (>= 3.0.0) <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pandas <!nocheck>,
                python3-tables <!nocheck>,
                python3-sklearn <!nocheck>,
-               python3-tqdm,
+               python3-tqdm <!nocheck>,
                xvfb <!nocheck>,
                xauth <!nocheck>
-Standards-Version: 4.5.1
+Build-Depends-Indep: python3-sphinx,
+                     python3-numpydoc,
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/dipy
 Vcs-Git: https://salsa.debian.org/med-team/dipy.git
 Homepage: https://dipy.org
@@ -82,6 +83,7 @@
          ${shlibs:Depends},
          ${misc:Depends}
 Provides: ${python3:Provides}
+Multi-Arch: same
 Description: Python library for the analysis of diffusion MRI datasets -- Python3 extensions
  DIPY is a library for the analysis of diffusion magnetic resonance
  imaging data.
@@ -93,8 +95,10 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends},
-         libjs-jquery
+         libjs-jquery,
+         libjs-mathjax
 Suggests: python3-dipy
+Multi-Arch: foreign
 Description: Python library for the analysis of diffusion MRI datasets -- documentation
  DIPY is a library for the analysis of diffusion magnetic resonance
  imaging data.

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 PY3VER = $(shell py3versions -vd)
 
 include /usr/share/dpkg/default.mk
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 MIN_CYTHONVER = 0.25.1
 
@@ -36,6 +37,7 @@
 endif
 
 override_dh_auto_build:
+	chmod 0644 doc/examples/*.py
 	dh_auto_build
 	echo "backend : Agg" >| build/matplotlibrc
 
@@ -44,7 +46,7 @@
 	: # Prune duplicate LICENSE file
 	find debian/ -name LICENSE -delete
 	: # Only now lets build docs
-ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+ifeq (python-dipy-doc_,$(filter python-dipy-doc,$(shell dh_listpackages))_$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	export PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
 		   MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
 	cd doc; $(MAKE) html-after-examples SPHINXOPTS="$(SPHINXOPTS)"
@@ -52,6 +54,14 @@
 	-rm -r doc/_build/html/_sources
 	: # objects inventory is of no use for the package
 	-rm doc/_build/html/objects.inv
+	# references to cloudflare and github are privacy breaches
+	sed 's@https://cdnjs\.cloudflare\.com/ajax/libs/mathjax/[^/]\+/@file:///usr/share/javascript/mathjax/unpacked/@' \
+		-i doc/_build/html/*.html \
+		   doc/_build/html/interfaces/*.html \
+		   doc/_build/html/theory/*.html
+	# FIXME: references to github are for images part of dipy_data, which
+	# is not available in debian; these may need packaging to solve the
+	# privacy breach here.
 endif
 	# Run tests later on
 	# cd build to prevent use of local/not-built source tree

=== debian/watch ===
version=4

opts="filenamemangle=s/.*\/(.*)/dipy-$1/" \
  https://github.com/dipy/dipy/tags (?:.*?/)?v?(\d[\d\.a-z]+).tar.gz

## dipy 1.5.0

=== requirements.txt ===
# Check against .travis.yml file and dipy/info.py
cython>=0.29.24
numpy>=1.14.5
scipy>=1.1
nibabel>=3.0.0
h5py>=2.8.0
packaging>=19.0
tqdm>=4.30.0

=== debian/changelog ===
dipy (1.5.0-4) unstable; urgency=medium

  * Team Upload.
  * d/rules: Ignore dh_dwz if it fails (currently failing on armel)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 26 Mar 2022 13:39:31 +0530

dipy (1.5.0-3) unstable; urgency=medium

  * Team Upload.
  * d/rules: Ignore another test on s390x

 -- Nilesh Patra <nilesh@debian.org>  Thu, 24 Mar 2022 20:46:34 +0530

dipy (1.5.0-2) unstable; urgency=medium

  * Team Upload.
  * d/rules: Ignore some tests on s390x

 -- Nilesh Patra <nilesh@debian.org>  Thu, 24 Mar 2022 15:29:17 +0530

dipy (1.5.0-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Lintian-override for
    package-contains-documentation-outside-usr-share-doc
  * Simplify dh_python3 override
  * Build-Depends: python3-setuptools

  [ Étienne Mollier ]
  * Add autopkgtests (Closes: #994575)
  * Add skip-tests-needing-internet.patch
  * d/rules: rework the test suite to use pytest instead of nosetest
  * d/control: remove dependency on python3-nose
  * d/control: add test build-dep to python3-tk
  * d/control: add test build-dep on python3-pil.tkinter

  [ Nilesh Patra ]
  * Fixing autopkgtest by testing in the installed dipy (not source)
  * d/salsa-ci.yml: Disable reprotest
  * Fix build on i386 (failing due to precision errors)
  * Copy dipy/data in autopkgtest suite as well
  * Skip running examples as autopkgtest for now - these consume a lot
    of resources and might be unsuited for our runners.

 -- Nilesh Patra <nilesh@debian.org>  Wed, 23 Mar 2022 13:10:42 +0000

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,17 @@
                libgomp1,
                cython3,
                python3-all-dev,
+               python3-setuptools,
                python3-numpy,
+               python3-scipy,
                python3-h5py <!nocheck>,
-               python3-scipy <!nocheck>,
                python3-matplotlib <!nocheck>,
-               python3-nose <!nocheck>,
                python3-nibabel (>= 3.0.0) <!nocheck>,
+               python3-pil.imagetk <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pandas <!nocheck>,
                python3-tables <!nocheck>,
+               python3-tk <!nocheck>,
                python3-sklearn <!nocheck>,
                python3-tqdm <!nocheck>,
                xvfb <!nocheck>,
@@ -42,10 +44,10 @@
          python3-h5py,
          python3-pandas,
          python3-dipy-lib (>= ${source:Version}),
-         python3-tqdm
+         python3-tqdm,
+         python3-packaging
 Recommends: python3-matplotlib,
             python3-vtk7,
-            python3-nose,
             python3-nibabel,
             python3-tables,
             python3-sklearn

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 PACKAGE3_NAME = python3-$(PYBUILD_NAME)
 
-PACKAGE3_ROOT_DIR = debian/${PACKAGE3_NAME}
+PACKAGE3_ROOT_DIR = $(CURDIR)/debian/${PACKAGE3_NAME}
 INSTALL_PATH = $(CURDIR)/debian/tmp
 
 ifeq (,$(findstring get-orig-source, $(MAKECMDGOALS)))
@@ -24,8 +24,15 @@
 BUILD_DATE := "$(date --utc --date="@${SOURCE_DATE_EPOCH:-$(date +%s)}" +%B %d, %Y)"
 SPHINXOPTS := -D today=\"$(BUILD_DATE)\"
 
+ifneq (,$(findstring $(DEB_BUILD_ARCH),s390x))
+REMOVE_FILES := dipy/align/tests/test_streamlinear.py dipy/align/tests/test_streamline.py dipy/tracking/tests/test_distances.py dipy/viz/tests/test_fury.py dipy/workflows/tests/test_align.py dipy/workflows/tests/test_segment.py dipy/align/tests/test_whole_brain_slr.py dipy/data/tests/test_data.py
+endif
+
 %:
 	dh $@ --buildsystem=pybuild --with python3
+
+execute_before_dh_auto_configure:
+	rm -f $(REMOVE_FILES)
 
 override_dh_auto_clean:
 	dh_auto_clean || true
@@ -66,37 +73,35 @@
 	# Run tests later on
 	# cd build to prevent use of local/not-built source tree
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	set -x ; \
-	export http_proxy=http://127.0.0.1:9/ ; \
-	export https_proxy=https://127.0.0.1:9/ ; \
-	for PYTHON in $(PY3VERS); do \
-	    export PYTHONPATH=$$(pybuild --print build_dir --interpreter python$$PYTHON); \
-	    echo "I: Running Dipy unittests using $$PYTHON"; \
-	    cd build; \
-	    PATH=$(INSTALL_PATH)/usr/bin:$$PATH \
-	        HOME=/tmp \
-		MPLCONFIGDIR=/tmp/ xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
-			python$$PYTHON /usr/bin/nosetests3 -sv --exclude 'test_(peaksFromModelParallel|fetcher)' dipy; \
-	    cd .. ; \
-	done
+	set -ex \
+	; export http_proxy=http://127.0.0.1:9/ \
+	; export https_proxy=https://127.0.0.1:9/ \
+	; for PYTHON in $(PY3VERS) \
+	; do	PYPKG="$(PACKAGE3_ROOT_DIR)/usr/lib/python$$PYTHON/dist-packages" \
+	;	export PYTHONPATH="$$PYPKG" \
+	;	echo "I: Running Dipy unittests using $$PYTHON" \
+	;	cd "$$PYPKG" \
+	;	PATH=$(PACKAGE3_ROOT_DIR)/usr/bin:$$PATH \
+			HOME=/tmp \
+			MPLCONFIGDIR=/tmp/ xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
+			python$$PYTHON -m pytest dipy \
+	;	rm .pytest_cache -rf \
+	; done
 endif
+	find debian/$(PACKAGE3_NAME)/usr/lib/python3* \( -name affine.txt -o -name "*.trk" \) -delete
 
-## move .so libraries into -lib package, and call dh_numpy*
-## while removing 2 if not present
-_dh_python%:
+## "Instantiate" both rules so dh sees them
+override_dh_python3:
 	set -e \
-	; test -d debian/$(PACKAGE$*_NAME)/usr/lib || exit 0 \
-	; for lib in $$(find debian/$(PACKAGE$*_NAME)/usr/lib -name "*.so") \
+	; test -d debian/$(PACKAGE3_NAME)/usr/lib || exit 0 \
+	; for lib in $$(find debian/$(PACKAGE3_NAME)/usr/lib -name "*.so") \
 	; do	sdir=$$(dirname $$lib) \
-	;	tdir=debian/$(PACKAGE$*_NAME)-lib/$${sdir#*$(PACKAGE$*_NAME)/} \
+	;	tdir=debian/$(PACKAGE3_NAME)-lib/$${sdir#*$(PACKAGE3_NAME)/} \
 	;	mkdir -p "$${tdir}" \
 	;	mv -v "$${lib}" "$${tdir}" \
 	; done
-	[ -e /usr/bin/dh_numpy$(*:2=) ] && dh_numpy$(*:2=) -p$(PACKAGE$*_NAME)-lib || :
-	dh_python$*
-
-## "Instantiate" both rules so dh sees them
-override_dh_python3: _dh_python3
+	dh_numpy3 -p$(PACKAGE3_NAME)-lib
+	dh_python3
 
 ## immediately useable documentation
 ## and exemplar data (they are small excerpts anyway)
@@ -109,6 +114,9 @@
 	$(MAKE) -C doc clean
 	dh_clean
 
+override_dh_dwz:
+	dh_dwz || true
+
 inject-doc-examples:
 	mkdir -p doc-examples
 	tar -C doc-examples --strip-components 1 \

=== debian/tests/control ===
Test-Command: cp -a /usr/lib/python3/dist-packages/dipy $AUTOPKGTEST_TMP && cp -a dipy/data $AUTOPKGTEST_TMP/dipy && cd $AUTOPKGTEST_TMP && HOME=/tmp MPLCONFIGDIR=/tmp/ xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" python3 -m pytest dipy
Depends: @, python3-all,
            python3-pytest,
            xvfb, xauth,
            python3-matplotlib,
            python3-vtk7,
            python3-nibabel,
            python3-tables,
            python3-sklearn
Restrictions: allow-stderr, needs-internet

# Try running examples as autopkgtest to address bug #994575 - but
# several of them seem to require user interaction or additional
# modules - thus the test needs to be deactivated and is just some
# proof of concept currently

#Test-Command: xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" sh debian/tests/run-unit-test
#Depends: @, python3-all,
#            python3-pytest,
#            xvfb, xauth,
#            python3-matplotlib,
#            python3-vtk7,
#            python3-nibabel,
#            python3-tables,
#            python3-sklearn
#Restrictions: allow-stderr, needs-internet
